View Issue Details

IDProjectCategoryView StatusLast Update
0004375SymmetricDSBugpublic2020-06-04 13:55
Reporterjosh-a-hicksAssigned Tojosh-a-hicks 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.11.8 
Target Version3.11.9Fixed in Version3.11.9 
Summary0004375: GSON parsing fails for logging stack traces
DescriptionGSON library fails to properly serialize a Throwable class

java.lang.StackOverflowError
        at com.google.gson.reflect.TypeToken.equals(TypeToken.java:284)
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.11 b4c21968

2020-04-28 16:23:09

josh-a-hicks

Details Diff
0004375: GSON parsing fails for logging stack traces
0004375
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/monitor/MonitorTypeLog.java Diff File
mod - symmetric-util/src/main/java/org/jumpmind/util/LogSummary.java Diff File

Issue History

Date Modified Username Field Change
2020-04-28 16:22 josh-a-hicks New Issue
2020-04-28 16:22 josh-a-hicks Status new => assigned
2020-04-28 16:22 josh-a-hicks Assigned To => josh-a-hicks
2020-04-29 09:05 josh-a-hicks Project SymmetricDS Pro => SymmetricDS
2020-04-29 09:05 josh-a-hicks Status assigned => resolved
2020-04-29 09:05 josh-a-hicks Resolution open => fixed
2020-04-29 09:05 josh-a-hicks Fixed in Version => 3.11.9
2020-05-26 12:37 elong Status resolved => closed
2020-06-04 13:55 josh-a-hicks Changeset attached => SymmetricDS 3.11 b4c21968